# Interface TextDto

Data transfer object for markup texts, this represents the text data that will be saved to the layer.

interface TextDto {
backgroundColor: RgbaDTO;
id: string;
normal: Vertex3;
position: Vertex3;
properties: { [key: string]: string | number | boolean };
rotation: number;
scale: number | Vertex3;
text: string;
type: Text;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - TextDto

##### Index

### Properties

backgroundColor
id
normal
position
properties
rotation
scale
text
type

## Properties

### backgroundColor

backgroundColor: RgbaDTO

### id

id: string

Inherited from EntityBaseDto.id

### normal

normal: Vertex3

### position

position: Vertex3

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### rotation

rotation: number

### scale

scale: number | Vertex3

### text

text: string

### type

type: Text